 


@echo off

Set v_sid=MAGICASH_1098
set /P v_sid="Please enter DATABASE name (default - MAGICASH_1098): "

Set v_username=MAGICASH5
set /P v_username="Please enter User_OC NAME (default - MAGICASH5): "

Set v_pass=NCTMAGICASH5
set /P v_pass="Please enter USER PASSWORD (default - NCTMAGICASH5): "

set v_filename=exp


MD results_%v_username%
MD BACKUP_%v_username%


 

exp userid=%v_username%/%v_pass%@%v_sid% file=results_%v_username%\%v_filename%_%v_username%_INSL.dmp LOG=results_%v_username%\%v_filename%_%v_username%_INSL.LOG TABLES=(P5CONFIG,INSTALL_DB_OBJECTS_ONL,INSTALL_LOG,INSTALL_LOG_ONL,INSTALL_ONL)  INDEXES=n ROWS=y CONSTRAINTS=n COMPRESS=n STATISTICS=none
 
exp userid=%v_username%/%v_pass%@%v_sid% file=results_%v_username%\%v_filename%_%v_username%_struk.dmp LOG=results_%v_username%\%v_filename%_%v_username%_struk.LOG GRANTS=y INDEXES=n ROWS=n CONSTRAINTS=y COMPRESS=n STATISTICS=none
 
exp userid=%v_username%/%v_pass%@%v_sid% file=BACKUP_%v_username%\%v_filename%_%v_username%_backup_%date%.dmp LOG=BACKUP_%v_username%\%v_filename%_%v_username%_backup_%date%.LOG ROWS=y CONSTRAINTS=y COMPRESS=n STATISTICS=none

zip -rSX9 arc_results_%v_username%.zip results_%v_username%/
zip -rSX9 arc_BACKUP_%v_username%.zip BACKUP_%v_username%/
 
 
 
 
 
 

 
 
 
 
 
